Subject: Re: gitk : french translation

From: Nicolas Sebrecht <[email-masked]>
Date: Tue, 10 Nov 2009 21:47:42 +0100

The 10/11/09, Emmanuel Trillaud wrote:

> Here is a glossary which contains the Git words and the proposed translations.
> 
> Terme : Traduction(gitk) : Traduction(git-gui)

Nice idea, this will help for consistency.

> Branch : branche :
                     branche (git gui)

> To blame : blâmer : blâmer
> Commit : commit : commit
> to commit : commiter : commiter
> commiter : auteur du commit : commiteur

Why not "commiteur" for gitk too?

> Check out : Récupérer : charger
> to cherry-pick : Ceuillir
> Diff : Différence : Diff

See comment at the end.

> Index : Index
> Tag : Tag : Marque (tag)
> Revision : Révision : Révision
> Merge : fusion : fusion
> to merge : fusionner : fusionner
> Head : Head : Head
> to reset : Réinitialiser : Réinitialiser
> reset : réinitialisation ;
> Hard (Reset) : Dure :
> Mixed (reset) : Hybride :
> Soft (Reset) : Douce :

Léger ?

> Patch : Patch :
> To stage : Indexer :
> 
> some RFCs :
> I am ok with the translation of "patch" by "patch" since it is use in
> france in other context
> I prefer to translate "Diff" by "Différences" _especially_ when we are
> talking about the action of making a "diff"

You don't explain _why_. We had 3 points in favour of the "diff" term in
french in this thread (keep Git's commands consistency, rough
translation and english word more used even by french people as for
"patch"). I have another argument to use "diff" now: keep consistency
with 'git gui'.

> translation of "Hard", "Mixed", "Soft" in the Reset context
> translation of "cherry-pick". For this one we could use "<translation>
> (<english-word>) ..." as suggest previously.

I'm fine here.

-- 
Nicolas Sebrecht